# Uses of Enum
org.eclipse.birt.chart.model.attribute.LeaderLineStyle

Packages that use LeaderLineStyle
Package
Description
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.type
Contains a default out-of-the-box set of series type interfaces that are associated with all charts.
org.eclipse.birt.chart.model.type.impl
Contains a default out-of-the-box set of series type core implementation classes that are associated with all charts.

## Uses of LeaderLineStyle in org.eclipse.birt.chart.model.attribute

Fields in org.eclipse.birt.chart.model.attribute with type parameters of type LeaderLineStyle
Modifier and Type
Field
Description
`static final List<LeaderLineStyle>`
LeaderLineStyle.`VALUES`
A public read-only list of all the 'Leader Line Style' enumerators.
Methods in org.eclipse.birt.chart.model.attribute that return LeaderLineStyle
Modifier and Type
Method
Description
`static LeaderLineStyle`
LeaderLineStyle.`get(int value)`
Returns the 'Leader Line Style' literal with the specified integer value.
`static LeaderLineStyle`
LeaderLineStyle.`get(String literal)`
Returns the 'Leader Line Style' literal with the specified literal value.
`static LeaderLineStyle`
LeaderLineStyle.`getByName(String name)`
Returns the 'Leader Line Style' literal with the specified name.
`static LeaderLineStyle`
LeaderLineStyle.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static LeaderLineStyle[]`
LeaderLineStyle.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

## Uses of LeaderLineStyle in org.eclipse.birt.chart.model.attribute.impl

Methods in org.eclipse.birt.chart.model.attribute.impl that return LeaderLineStyle
Modifier and Type
Method
Description
`LeaderLineStyle`
AttributeFactoryImpl.`createLeaderLineStyleFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`
`LeaderLineStyle`
AttributeFactoryImpl.`createLeaderLineStyleObjectFromString(org.eclipse.emf.ecore.EDataType eDataType, String initialValue)`

## Uses of LeaderLineStyle in org.eclipse.birt.chart.model.type

Methods in org.eclipse.birt.chart.model.type that return LeaderLineStyle
Modifier and Type
Method
Description
`LeaderLineStyle`
PieSeries.`getLeaderLineStyle()`
Returns the value of the 'Leader Line Style' attribute.
Methods in org.eclipse.birt.chart.model.type with parameters of type LeaderLineStyle
Modifier and Type
Method
Description
`void`
PieSeries.`setLeaderLineStyle(LeaderLineStyle value)`
Sets the value of the '`Leader Line Style`' attribute.

## Uses of LeaderLineStyle in org.eclipse.birt.chart.model.type.impl

Methods in org.eclipse.birt.chart.model.type.impl that return LeaderLineStyle
Modifier and Type
Method
Description
`LeaderLineStyle`
PieSeriesImpl.`getLeaderLineStyle()`
Methods in org.eclipse.birt.chart.model.type.impl with parameters of type LeaderLineStyle
Modifier and Type
Method
Description
`void`
PieSeriesImpl.`setLeaderLineStyle(LeaderLineStyle newLeaderLineStyle)`